The Advanced Packaging Tool (APT) is a package management system for Debian, and a set of tools for manipulating that system.

learn more… | top users | synonyms

0
votes
1answer
143 views

apt-mirror for Ubuntu 9.10 Karmic Koala

I want to backup a full mirror of old-releases Ubuntu because I need Karmic packages for my software. I'm also afraid that old-releases.ubuntu will be deleted. Is there any possibility to get a full ...
0
votes
1answer
1k views

How to reduce 3rd party repository priority in apt

I'm using Debian Testing together with the Deb Multimedia (previously Debian Multimedia) repository for testing. I want to reduce the priority of the deb-multimedia packages so it only installs ...
1
vote
0answers
295 views

How to use apt-cache server in ubuntu 12.04?

I have tried this Apt-cache server on ubuntu 10.10, and it worked. But, now i'm using ubuntu 12.04 and all tutorial inside that page not working for me : Ign http://136.198.117.4 precise/main ...
3
votes
2answers
861 views

How do you get rid of the quote of the day / fortune messeges each time you open a new console?

I have an ubuntu computer. Each time I open the console there is some animal in ascii art and a quote. How can I uninstall this and get a normal command line? All accounts have this, so it is ...
6
votes
4answers
6k views

Test if a package is installed in APT

I want a shell script method to test/report if a package is installed. I don't need details, only boolean return to set logic flow. I looked at Find if a package is installed, but dpkg returns complex ...
0
votes
1answer
3k views

Debian: I want to install “libasound2” and “libasound2-plugins” from “wheezy” while being on “squeeze”

UPDATE: I am putting a bounty on this question, in modified form: How can I make APT Pinning run as expected? Or where must I read more (save from the official Wiki and errata/additions in it) so ...
2
votes
1answer
460 views

how to copy a linux mint apt mirror

I have a linux mint install that will be placed on a private network without internet access. Is it possible to download an Apt mirror for Mint and place in on a server in the private network so that ...
1
vote
2answers
5k views

How can I complete remove gnome and all of its subprograms?

I have Kubuntu 12.04. And I had installed gnome with sudo apt-get install gnome. How can I complete remove this? Looks like just put a sudo apt-get purge gnome will not solve the case. Because will ...
9
votes
2answers
5k views

How to tell apt that dependencies are resolved manually?

Let's say there is a software I don't want to install through apt, but manually. (TeXLive, because I want to use the 2011 release and apt only has the 2009 version.) Let's say there is another ...
1
vote
3answers
8k views

Installing cURL on Ubuntu

Am trying to install cURL on my ubuntu server using the command sudo apt-get install php5-curl However i get the following error Reading package lists... Done Building dependency tree Reading ...
1
vote
1answer
735 views

E: The package tzdata needs to be reinstalled, but I can't find an archive for it

I need to re-install this to upgrade 11.04 Ubuntu to 11.10 I keep getting an error when I try: sudo apt-get install tzdata E: The package tzdata needs to be reinstalled, but I can't find an ...
0
votes
2answers
1k views

How do I make AptonCD restore packages present on ISO on local disk

I used APtonCD to create a ISO image of packages I have installed on my install. I'm trying to restore the image, but it seems to look for the restore image present in my default drive. How do I get ...
89
votes
5answers
44k views

Aptitude vs. apt-get: Which is the recommended (aka the “right”) tool to use?

Some time ago I read that aptitude is the preferred tool for installation on Debian-based systems. But when you search around on how to administer a Debian-based system, then aptitude is rarely ...
28
votes
2answers
21k views

How can I check the version of packages to be installed with apt-get?

After running apt-get upgrade, I get a list of the packages that will be upgraded. I would like to know the version number for one of these packages. (Not the current one but the one that will be ...